summaryrefslogtreecommitdiffstats
path: root/audio/ices
diff options
context:
space:
mode:
author Rodney Cobb <rdc@ktabic.co.uk>2010-05-12 23:27:56 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-12 23:27:56 +0200
commit281c167b95962e4e2dd83d6d5f61b33d2ce9ff15 (patch)
treeb5a53d31aa2832e889b908b06b1458f4c1069b01 /audio/ices
parenta49491457fb57acf19991f09c8751a8ac6848401 (diff)
downloadslackbuilds-281c167b95962e4e2dd83d6d5f61b33d2ce9ff15.tar.gz
slackbuilds-281c167b95962e4e2dd83d6d5f61b33d2ce9ff15.tar.xz
audio/ices: Added to 12.2 repository
Diffstat (limited to 'audio/ices')
-rw-r--r--audio/ices/README6
-rw-r--r--audio/ices/doinst.sh3
-rw-r--r--audio/ices/ices.SlackBuild73
-rw-r--r--audio/ices/ices.info8
-rw-r--r--audio/ices/slack-desc19
5 files changed, 109 insertions, 0 deletions
diff --git a/audio/ices/README b/audio/ices/README
new file mode 100644
index 0000000000..cfd1039d79
--- /dev/null
+++ b/audio/ices/README
@@ -0,0 +1,6 @@
+ices is the primary source client for icecast 2.x.
+
+You WILL need to edit the config file you choose to use before running
+this application. Example config files are in the docs folder.
+
+This requires libshout.
diff --git a/audio/ices/doinst.sh b/audio/ices/doinst.sh
new file mode 100644
index 0000000000..f84f68cdba
--- /dev/null
+++ b/audio/ices/doinst.sh
@@ -0,0 +1,3 @@
+# Create an empty log file if one doesn't already exist
+[ ! -e var/log/ices/ices.log ] && touch var/log/ices/ices.log
+
diff --git a/audio/ices/ices.SlackBuild b/audio/ices/ices.SlackBuild
new file mode 100644
index 0000000000..33220673da
--- /dev/null
+++ b/audio/ices/ices.SlackBuild
@@ -0,0 +1,73 @@
+#!/bin/sh
+
+# Slackware build script for ices
+
+# Written by Rodney Cobb (rdc@ktabic.co.uk)
+
+PRGNAM=ices
+VERSION=${VERSION:-2.0.1}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --disable-static \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+# Create log directory ; file will be created in doinst.sh if needed
+mkdir -p $PKG/var/log/ices
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/sample_configs
+cp -a COPYING AUTHORS README TODO $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a conf/*.xml $PKG/usr/doc/$PRGNAM-$VERSION/sample_configs
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+( cd $PKG/usr/doc/$PRGNAM-$VERSION ; ln -s /usr/share/ices html )
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/audio/ices/ices.info b/audio/ices/ices.info
new file mode 100644
index 0000000000..6239e85cce
--- /dev/null
+++ b/audio/ices/ices.info
@@ -0,0 +1,8 @@
+PRGNAM="ices"
+VERSION="2.0.1"
+HOMEPAGE="http://www.icecast.org"
+DOWNLOAD="http://downloads.xiph.org/releases/ices/ices-2.0.1.tar.bz2"
+MD5SUM="8c7be81b304c4ce588f43b9d02603f6e"
+MAINTAINER="Rodney Cobb"
+EMAIL="rdc@ktabic.co.uk"
+APPROVED="rworkman"
diff --git a/audio/ices/slack-desc b/audio/ices/slack-desc
new file mode 100644
index 0000000000..7106896453
--- /dev/null
+++ b/audio/ices/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package ices, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+ices: ices (primary source client for icecast)
+ices:
+ices: Ices is the primary source client for icecast.
+ices:
+ices:
+ices:
+ices:
+ices:
+ices:
+ices:
+ices: